# NAML (NIRS AutoML) Command Line Tool 
This repository contains three main folders
* [`configFiles`](https://github.com/erins/NAML/tree/master/scripts/configFiles) folder: contains sample configuration files that can be used to run this tool. It also containe information on how to create a configuration file.   
* [`data`](https://github.com/erins/NAML/tree/master/scripts/data) folder: contains sample `csv` files with fNIRS data collected using [MATLAB GUI](https://github.com/erins/Fnirs/tree/master/MATLAB%20GUI)
* [`logs`](https://github.com/erins/NAML/tree/master/scripts/logs) folder: contains all the logs generated from </br> 

And contains two script files 
* [`naml.py`](https://github.com/erins/NAML/tree/master/scripts/naml.py) 
* [`configuration_checker.py`](https://github.com/erins/NAML/tree/master/scripts/configuration_checker.py) </br>
To run these files you must specify the path to the JSON configuration file. </br> 
Example: </br>
`python naml.py ../scripts/configFiles/config_ex7.json` </br> 

To gain an understanding of this tool I recommend the following two: 
* Read **Tool Overview and Functionality.pdf**
* Read **Tool Guide.pdf**

### Requirements 
* [`sktime`](https://github.com/erins/NAML/tree/master/tutorial) package installed
* `python 3`  

